<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    try {
        if (isset($_FILES['file'])) {
            $uploadDirectory = __DIR__ . '/uploads/'; 
                        if (!file_exists($uploadDirectory)) {
                mkdir($uploadDirectory, 0777, true);
            }

            $file = $_FILES['file'];
            
            $fileExtension = strtolower(pathinfo($file['name'], PATHINFO_EXTENSION));
            $allowedExtensions = ['jpg', 'jpeg', 'png', 'gif'];

            if (in_array($fileExtension, $allowedExtensions)) {
                $newFilename = uniqid() . '.' . $fileExtension;
                $uploadPath = $uploadDirectory . $newFilename;

                if (move_uploaded_file($file['tmp_name'], $uploadPath)) {
                    echo json_encode(['message' => 'File uploaded successfully']);
                } else {
                    echo json_encode(['error' => 'Failed to move the file']);
                }
            } else {
                echo json_encode(['error' => 'File type not allowed']);
            }
        } else {
            echo json_encode(['error' => 'No file found in the request']);
        }
    } catch (Exception $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Invalid request method']);
}
